#! /bin/sh
#	timeadd.sh - add 2 times

#	Usage timediff start_time end_time
#		start_time, end_time in format hh:mm:ss[.nnn]

	nawk -f -  < /dev/null <<EOF
BEGIN	{
	start_time="$1"
	end_time="$2"
	split(start_time,ts,":")
	split(end_time,te,":")
	sumt = ((te[1] + ts[1]) * 60 + te[2] + ts[2]) * 60 + te[3] + ts[3]
	hh = int(sumt/3600)
	mm = int((sumt - hh*3600) / 60)
	ss = sumt - hh*3600 - mm*60
	printf ("%02d:%02d:%02d\n", hh,mm,ss)
}
EOF
 
 
